Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1150207 - bashisms in startxfce4
Summary: bashisms in startxfce4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-session
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-07 16:47 UTC by Ralf Corsepius
Modified: 2015-02-10 01:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-10 01:40:44 UTC
Type: Bug


Attachments (Terms of Use)
Patch against xfce4-session-4.10.1 to remove bashisms (703 bytes, patch)
2014-10-07 16:48 UTC, Ralf Corsepius
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Xfce 10828 0 None None None Never

Description Ralf Corsepius 2014-10-07 16:47:40 UTC
Description of problem:
/usr/bin/startxfce4 is subject to bashisms, notably "test ==".

It doesn't work when using a non-bash as /bin/sh.

Version-Release number of selected component (if applicable):
All versions on fc19 through rawhide

I am attaching a patch.

Comment 1 Ralf Corsepius 2014-10-07 16:48:35 UTC
Created attachment 944670 [details]
Patch against xfce4-session-4.10.1 to remove bashisms

Comment 2 Kevin Fenzi 2014-10-07 19:50:54 UTC
Would you be willing to file this upstream to see if they will take it?

Or would you prefer I do so? 

It seems pretty minor, so I would be fine patching it in, but it would be nice if upstream merges it so I don't have to patch it forever.

Comment 3 Mukundan Ragavan 2014-10-08 00:46:33 UTC
Kevin, this is already reported upstream and fixed.

https://bugzilla.xfce.org/show_bug.cgi?id=10828

I think this should be in next xfce4-session release (I do not remember if I already had this in 4.11).

We should probably push this to F19 and F20. If you are fine, I will add the patch and push this tomorrow.

Comment 4 Ralf Corsepius 2014-10-08 01:09:03 UTC
(In reply to Mukundan Ragavan from comment #3)
> Kevin, this is already reported upstream and fixed.
> 
> https://bugzilla.xfce.org/show_bug.cgi?id=10828

Interesting ;) I checked Debian's and Ubuntu's packages and both still carry this bug.

Comment 5 Kevin Fenzi 2014-10-08 01:42:01 UTC
Excellent catch. ;) 

Sure, please do push out an update for it tomorrow. :) Thanks!

Comment 6 Mukundan Ragavan 2014-10-08 13:27:46 UTC
Awesome. Will do as soon as I get back home!

Comment 7 Fedora Update System 2014-10-09 00:02:45 UTC
xfce4-session-4.10.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-session-4.10.1-2.fc19

Comment 8 Fedora Update System 2014-10-09 00:03:20 UTC
xfce4-session-4.10.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xfce4-session-4.10.1-4.fc20

Comment 9 Fedora Update System 2014-10-09 00:03:42 UTC
xfce4-session-4.10.1-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfce4-session-4.10.1-7.fc21

Comment 10 Fedora Update System 2014-10-18 16:59:24 UTC
xfce4-session-4.10.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-10-28 06:42:11 UTC
xfce4-session-4.10.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-11-01 16:47:33 UTC
xfce4-session-4.10.1-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora End Of Life 2015-01-09 22:37:22 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.